Subject: Peach tree suckers

From: [email-masked] (Ken)
Date: Wed, 05 Jun 1996 16:48:49 GMT

I think there was a question about peach tree suckers a while back,
but my question is a little different.

I have a semi-dwarf peach planted in 1994 in a raised bed built into
my deck.  The raised bed area is around 24" x 14" x 18" high + about
6" of good soil under my deck before it reaches the clay soil
underneath.

I usually get a few suckers right around the truck in the raised bed
area, but now I'm getting a sucker about 5' to 6' from the truck that
is growing up from under my deck.  I'm not sure if it's growing above
the soil and rocks under my deck or if it's growing in the soil and
just popping up 5' feet away from the trunk.

Do I need to start watering between my deck boards?  I know the
"watering basin" is supposed to be as big as the span of the branches,
but in my situation it would be kind of difficult to do this.

Thanks,
Ken